-SUBDIRS=gils usmarc api
+SUBDIRS=gils usmarc api dmoz
--- /dev/null
+#!/bin/sh
+rm zebraidx.log
+./update.sh b
+./update.sh c
+gnuplot plot.dem
--- /dev/null
+#!/usr/bin/perl -w
+
+my $state = 'init';
+my $topic = '';
+my $title;
+my $description;
+
+while ($_ = <STDIN>) {
+ if (/<Topic r:id=\"(.*?)\">/) {
+ $topic = $1;
+ }
+ elsif (/<ExternalPage about=\"(.*?)\">/) {
+ $url = $1;
+ }
+ elsif (/<d:Title>(.*?)<\/d:Title>/) {
+ $title = $1;
+ }
+ elsif (/<d:Description>(.*?)<\/d:Description>/) {
+ $description = $1;
+ }
+ elsif (/<\/ExternalPage>/) {
+ print "<meta>\n";
+ print " <title>$title</title>\n";
+ print " <description>$description</description>\n";
+ print " <url>$url</url>\n";
+ print " <topic>$topic</topic>\n";
+ print "</meta>\n";
+ }
+}
--- /dev/null
+#!/usr/bin/perl -w
+
+my $state = 'init';
+my $topic = '';
+my $title;
+my $description;
+
+my $no = 0;
+
+while ($_ = <STDIN>) {
+ if (/<Topic r:id=\"(.*?)\">/) {
+ $topic = $1;
+ }
+ elsif (/<ExternalPage about=\"(.*?)\">/) {
+ $url = $1;
+ }
+ elsif (/<d:Title>(.*?)<\/d:Title>/) {
+ $title = $1;
+ }
+ elsif (/<d:Description>(.*?)<\/d:Description>/) {
+ $description = $1;
+ }
+ elsif (/<\/ExternalPage>/) {
+ if (($no % 30000) == 0) {
+ if ($no) {
+ close(XO);
+ }
+ open(XO, ">dmoz." . ($no / 30000) . ".xml");
+ }
+ print XO "<meta>\n";
+ print XO " <title>$title</title>\n";
+ print XO " <description>$description</description>\n";
+ print XO " <url>$url</url>\n";
+ print XO " <topic>$topic</topic>\n";
+ print XO "</meta>\n";
+ $no++;
+ }
+}
+if ($no != 0) {
+ close(XO);
+}
--- /dev/null
+#!/bin/sh
+if test ! -f content.rdf.u8; then
+ wget http://dmoz.org/rdf/content.rdf.u8.gz
+ gunzip content.rdf.u8.gz
+fi
--- /dev/null
+set xlabel "runs"
+set ylabel "seconds"
+plot [0:] [0:] 'times-c.log' using 3 title 'ISAMC(user)' with linespoints, 'times-b.log' using 3 title 'ISAMB(user)' with linespoints, 'times-c.log' using 2 title 'ISAMC(total)' with linespoints,'times-b.log' using 2 title 'ISAMB(total)' with linespoints
+set output "times.ps"
+set terminal postscript
+replot
+set output
+set terminal x11
+pause -1 "Hit return to continue"
+
+
+
--- /dev/null
+#!/bin/sh
+t=$1
+test -n "$t" || exit 1
+rm -f *.mf *.LCK *.tmp
+../../index/zebraidx -l zebraidx.log init
+i=0
+rm -f times-$t.log
+while test -f dmoz.$i.xml; do
+ echo -n "$i " >>times-$1.log
+ /usr/bin/time -f '%e %U %P' -a -o times-$t.log ../../index/zebraidx -l zebraidx.log -c zebra-$t.cfg -f 10 update dmoz.$i.xml
+ ../../index/zebraidx -l zebraidx.log -c zebra-$t.cfg stat
+ i=`expr $i + 1`
+ if test $i = 29; then
+ break
+ fi
+done
--- /dev/null
+# Simple Zebra configuration file
+# $Id: zebra-b.cfg,v 1.1 2002-06-19 08:28:55 adam Exp $
+#
+# Where the schema files, attribute files, etc are located.
+profilePath: .:../../tab:../../../yaz/tab
+
+# Files that describe the attribute sets supported.
+attset: bib1.att
+attset: gils.att
+attset: explain.att
+
+recordtype: grs.sgml
+
+#storekeys: 1
+#storedata: 1
+#recordId: (bib1,identifier-standard)
+isam: b
--- /dev/null
+# Simple Zebra configuration file
+# $Id: zebra-c.cfg,v 1.1 2002-06-19 08:28:55 adam Exp $
+#
+# Where the schema files, attribute files, etc are located.
+profilePath: .:../../tab:../../../yaz/tab
+
+# Files that describe the attribute sets supported.
+attset: bib1.att
+attset: gils.att
+attset: explain.att
+
+recordtype: grs.sgml
+
+#storekeys: 1
+#storedata: 1
+#recordId: (bib1,identifier-standard)
+isam: c